head	1.1;
access;
symbols;
locks; strict;
comment	@# @;


1.1
date	2003.07.31.17.36.47;	author shige;	state Exp;
branches;
next	;


desc
@@


1.1
log
@Add elisp/emacsen ports in the ports tree @@ 2003/07/31
@
text
@$FreeBSD$
--- gnats/gnats-edit-pr.sh.orig	Wed Mar 13 17:19:09 2002
+++ gnats/gnats-edit-pr.sh	Wed Mar 13 17:21:14 2002
@@@@ -178,13 +178,11 @@@@
 
 # lock the pr
 $debug_print "Locking $pr_id."
-lock=`$PR_EDIT --lock=$full_me $pr_id 2>&1 > $new`
-locked=t
-
-if [ "$lock" != "" ] ; then
-  echo $lock
-  exit 0
+if ! $PR_EDIT --lock=$full_me $pr_id >$new ; then
+    echo "Failed to lock PR $pr_id"
+    exit 1
 fi
+locked=t
 
 # here's where we actually call the editor.
 cp $new $new.old
@
